CMSIS-Driver: USBH Pipe Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USBH Pipe Events
USB Host

The USB Host driver generates Pipe call back events that are notified via the function ARM_USBH_SignalPipeEvent. More...

## Macros

#define | ARM_USBH_EVENT_TRANSFER_COMPLETE (1UL << 0)
| Transfer completed. More...
#define | ARM_USBH_EVENT_HANDSHAKE_NAK (1UL << 1)
| NAK Handshake received. More...
#define | ARM_USBH_EVENT_HANDSHAKE_NYET (1UL << 2)
| NYET Handshake received. More...
#define | ARM_USBH_EVENT_HANDSHAKE_MDATA (1UL << 3)
| MDATA Handshake received. More...
#define | ARM_USBH_EVENT_HANDSHAKE_STALL (1UL << 4)
| STALL Handshake received. More...
#define | ARM_USBH_EVENT_HANDSHAKE_ERR (1UL << 5)
| ERR Handshake received. More...
#define | ARM_USBH_EVENT_BUS_ERROR (1UL << 6)
| Bus Error detected. More...

## Description

The USB Host driver generates Pipe call back events that are notified via the function ARM_USBH_SignalPipeEvent.

This section provides the event values for the ARM_USBH_SignalPipeEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_USBH_EVENT_TRANSFER_COMPLETE (1UL << 0)

Transfer completed.

#define ARM_USBH_EVENT_HANDSHAKE_NAK (1UL << 1)

NAK Handshake received.

#define ARM_USBH_EVENT_HANDSHAKE_NYET (1UL << 2)

NYET Handshake received.

#define ARM_USBH_EVENT_HANDSHAKE_MDATA (1UL << 3)

MDATA Handshake received.

#define ARM_USBH_EVENT_HANDSHAKE_STALL (1UL << 4)

STALL Handshake received.

#define ARM_USBH_EVENT_HANDSHAKE_ERR (1UL << 5)

ERR Handshake received.

#define ARM_USBH_EVENT_BUS_ERROR (1UL << 6)

Bus Error detected.